%define pkg_name        Audio-CD
%define pkg_version     0.04
%define rpm_pkg_version 0.04
%define rpm_pkg_release 3.n0i.3

Summary:       Perl interface to libcdaudio (cd + cddb)
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/D/DO/DOUGM/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: libcdaudio-devel


%description
Audio::CD provides a Perl interface to libcdaudio.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_perl_path eg/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc eg/ README


%changelog
* Fri Jun 08 2007 Marius Feraru <altblue@n0i.net> - 0.04-3.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- rebuild on perl 5.8.8

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.04-2.n0i.2
- automatic rebuild (perl 5.8.8)

* Sun Jul 31 2005 Marius Feraru <altblue@n0i.net> 0.04-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
